当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 请教,有没有不需要大版本升级,永远只需要包升级的发行版?
帖子发表于 : 2008-05-12 20:28 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
ubuntu最大的问题就在于半年出一个大版本。而大版本升级几乎100%会出问题。
——不,其实也许最大的问题不在于半年出一个大版本,而是每个版本之内的包都不会被升级。导致我们仅仅为了升级软件包就必须升级大版本。

例如:7.04使用kde3.5.6,7.10使用3.5.8,8.04使用3.5.9,

那如果我使用 apt-get update 就不能把 3.5.6 升级到 3.5.9,必须使用大版本升级才行。这一点很不方便。

——当然上面这个例子可能不太恰当,因为有的人可能说如果需要把KDE升级到最新版,可以手工做到,可问题是如果我希望系统中所有的软件包都升级到最新版,这似乎就不是容易做到的了。

如果有一个发行版,不需要大版本升级,任何时候我 apt-get update 总能把“所有软件包”都更新到源里面的最新版本就好了。——有这样的发行版么?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-12 20:32 

注册: 2008-03-28 12:10
帖子: 54
送出感谢: 0 次
接收感谢: 0 次
很有意思!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-12 20:45 
头像

注册: 2007-05-06 8:19
帖子: 7433
送出感谢: 0 次
接收感谢: 4
有的时候软件依赖某版本内核,也有时候内核升级了软件也需要升级,有个配合(依赖)的问题。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-12 20:47 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
arch可以做到,好像


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-12 20:48 

注册: 2007-01-26 13:38
帖子: 661
送出感谢: 0 次
接收感谢: 0 次
所有软件包都使用最新的,才是导致系统出错的根本问题
7.10发布正式版的时候,才装7.04
8.04发布正式版的时候,再装7.10
以此类推
你会觉得世界更加美妙


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-13 0:16 
头像

注册: 2006-09-10 22:36
帖子: 10663
地址: 北京
送出感谢: 1
接收感谢: 16
来Arch吧,欢迎加入~~~


_________________
看破、放下、自在、随缘、念佛
真诚、清净、平等、正觉、慈悲


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-13 0:18 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
ub你不动发现版本就是啊。想什么呢。


_________________
● 鸣学


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-13 1:12 
头像

注册: 2005-07-02 14:41
帖子: 4133
系统: Ubuntu 14.04 (Kylin)
送出感谢: 53
接收感谢: 11
Ubuntu的大版本升級的確是個問題。源分main, universe, multiverse的做法,使得平滑升級變得不現實。

Debian就好些,基本全部放在main裡,大版本升級不容易出問題。


_________________
https://weakish.github.io


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-13 12:14 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
eexpress 写道:
ub你不动发现版本就是啊。想什么呢。


不动升级发行版,许多软件都会停留在很老旧的版本。

vim停留在6.x,cmake停留在2.2,kde停留在3.3,k3b在0.11。。。那样的发行版很难用滴。。。

其实就是希望某个发行版能够在不动大版本的情况下让大家把软件包升级到最新版本。这很多时候是大家最希望的。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-05-13 16:07 
头像

注册: 2005-07-02 14:41
帖子: 4133
系统: Ubuntu 14.04 (Kylin)
送出感谢: 53
接收感谢: 11
所謂大版本其實也就是說一些重要的軟件(內核、編譯工具鏈,也許還可以再加上gnome/KDE、OOo)等大升級。因為這些軟件處於比較基礎的地位,升級容易出問題,纔搞大版本升級的。你這又要馬兒跑,又要馬兒不吃草的是行不通的。


_________________
https://weakish.github.io


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-05-13 16:23 
头像

注册: 2007-06-04 9:54
帖子: 173
地址: 南京
送出感谢: 0 次
接收感谢: 0 次
Arch是这样的,一次安装,之后只要同步就好了


_________________
等待青春散场;等待年华老去!


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-05-13 16:30 
头像

注册: 2006-06-22 1:11
帖子: 107
送出感谢: 0 次
接收感谢: 0 次
arch现阶段可以做到,
就是不知道等gnome3出来后能不能无缝升级。
但gnome3还得等到猴年马月出来。
所以,欢迎楼主来到archlinux世界。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译